Bug 988982 - oVirt 3.3 Node: 3.0.0-5.0.5 - TUI - No plugins installed throws IndexError('list index out of range')
oVirt 3.3 Node: 3.0.0-5.0.5 - TUI - No plugins installed throws IndexError('l...
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
3.3
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3
Assigned To: Ryan Barry
node
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-26 16:34 EDT by Douglas Schilling Landgraf
Modified: 2013-11-27 04:58 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-27 04:58:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 17549 None None None Never

  None (edit)
Description Douglas Schilling Landgraf 2013-07-26 16:34:29 EDT
Description of problem:

ovirt-node-iso-3.0.0-5.0.5.vdsm.fc19.iso

In TUI if users reach the option Plugins and there is no plugins installed it goes to shell with error IndexError('list index out of range').

How reproducible:

- Install ovirt-node-iso-3.0.0-5.0.5.vdsm.fc19.iso
- Go to plugins option in TUI
Comment 1 Mike Burns 2013-07-26 16:36:34 EDT
The problem here is that plugins were installed at the original iso boot time, rather than through edit-node.  The way we currently figure out the plugins is based on the files in /etc/ovirt-plugins.d.  

We need to be smarter about this and possibly check the plugin meta-data instead.
Comment 2 Ryan Barry 2013-08-01 11:30:02 EDT
A fix for this has been posted to oVirt Gerrit.

Instead of optimistically parsing files, we'll try to parse it as an edit-node-added plugin. If that fails, figure out which RPM owns the file. If that fails, fall through, but don't throw an exception.
Comment 3 Joey Boggs 2013-08-01 15:54:49 EDT
http://gerrit.ovirt.org/17549
Comment 4 Sandro Bonazzola 2013-11-27 04:58:15 EST
A new node iso has been released with oVirt 3.3.1, closing.

Note You need to log in before you can comment on or make changes to this bug.